Commit 3a2a8b74 authored by Mike Hibler's avatar Mike Hibler

Include (require) mysql.php if the PHP version is greater than 5.

parent 126ef78e
......@@ -24,6 +24,10 @@
# Database Constants
#
require("dbcheck.php3");
if (explode('.', PHP_VERSION)[0] > 5) {
# We need the mysql -> mysqli stubs for 7.x
require_once("mysql.php");
}
$TBDBNAME = "@TBDBNAME@";
$TBOPSPID = "emulab-ops";
......
......@@ -125,3 +125,5 @@ function mysql_real_escape_string($stuff, $linkid = NULL)
return mysqli_real_escape_string($linkid, $stuff);
}
?>
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment